package com.artfess.yhxt.push.service;


import java.io.IOException;
import java.util.List;
import java.util.Map;

/**
 * @author zhx
 * @create 2021/10/18
 */
public interface PushTaskService {

    /**
     * 路产数量
     *
     * @return
     * @throws Exception
     */
    void JV22BASESTRUCT() throws Exception;

    /**
     * 路产详情
     */
    void JV22BASESTRUCTDETAIL() throws Exception;

    /**
     * 基本情况
     */
    void jv21Baseinfo() throws Exception;

    /**
     * 公司人员
     */
    void JV24EmployeeNew() throws Exception;

    /**
     * 病害总数
     */
    void JVA22DiseaseProjTotal() throws Exception;

    /**
     * 病害类别- 年
     */
    void JV313DiseaseYear() throws Exception;

    /**
     * 病害类别 - 月
     */
    void JV313Disease() throws Exception;


    /**
     * 病害统计数据推送接口
     */
    void diseaseCount() throws Exception;

    /**
     * 养护任务单据(数量)
     * 已经完成数量
     * 年
     * accDate	日期yyyy	string
     * finNums	已完成数量	number
     * id		string
     * orgCode	组织编码	string
     * orgName	组织名称	string
     * totalNums	总数量	number
     */
    void jv312ConstructFinnishYear() throws Exception;
    /**
     * 养护任务单据(数量)
     * 已经完成数量
     * accDate	日期yyyy-MM	string
     * finNums	已完成数量	number
     * id		string
     * orgCode	组织编码	string
     * orgName	组织名称	string
     * totalNums	总数量	number
     * 月
     */
    void jv312ConstructFinnish() throws Exception;


    /**
     * 病害平均处理天数
     * accDate	日期yyyy	string
     * id		string
     * orgCode	组织编码	string
     * orgName	组织名称	string
     * ratio	效率(天)	string
     */
    void  jv314DiseaseRatioYear() throws Exception;

    /**
     * 病害平均处理天数
     * 月
     * accDate	日期yyyy-MM	string
     * id		string
     * orgCode	组织编码	string
     * orgName	组织名称	string
     * ratio	效率(天)	string
     */
    void  jv314DiseaseRatio() throws Exception;


    /**
     *日常养护合同完成情况(金额) (年)
     *
     * accDate	日期yyyy	string
     * amount	总金额(元)	number
     * id		string
     * orgCode	组织编码	string
     * orgName	组织名称	string
     * paiedAmount	已支付金额(元)	number
     *
     */
    void jv36ProjectProgressYear() throws Exception;
    /**
     *日常养护合同完成情况(金额) (月)
     *
     * accDate	日期yyyy	string
     * amount	总金额(元)	number
     * id		string
     * orgCode	组织编码	string
     * orgName	组织名称	string
     * paiedAmount	已支付金额(元)	number
     *
     */
    void jv36ProjectProgress() throws Exception;

    /**
     *施工中工程项目数量年统计 (年)
     * accDate	日期yyyy	string
     * countNums	数量	number
     * id		string
     * majorType	项目类型(机电类、土建类)	string
     * orgCode	组织编码	string
     * orgName	组织名称	string
     */
    void jv35ProjectTypeYear() throws Exception;

    /**
     *施工中工程项目数量年统计 (月)
     * accDate	日期yyyy-MM	string
     * countNums	数量	number
     * id		string
     * majorType	项目类型(机电类、土建类)	string
     * orgCode	组织编码	string
     * orgName	组织名称	string
     */
    void jv35ProjectType() throws Exception;

//    养护成本
    void jVA2113MAINTAIN() throws Exception;



}
